Bug 1099078 - v4.18-rc2 runs into fatal "Internal error: SP/PC alignment exception: 8a000000 [#1] SMP"
v4.18-rc2 runs into fatal "Internal error: SP/PC alignment exception: 8a00000...
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
aarch64 openSUSE Factory
: P5 - None : Major (vote)
: ---
Assigned To: Michal Kubeček
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-26 00:03 UTC by Andreas Färber
Modified: 2022-07-21 17:23 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Färber 2018-06-26 00:03:56 UTC
Using Kernel:HEAD kernel-default 4.18.rc2 aarch64 on Pine64:

...
[  OK  ] Reached target Sockets.
         Starting Load Kernel Modules...
[    7.021558] alua: device handler registered
[    7.027020] emc: device handler registered
[    7.032631] rdac: device handler registered
         Starting Journal Service...
[    7.038822] Internal error: SP/PC alignment exception: 8a000000 [#1] SMP
[    7.047098] Modules linked in: scsi_dh_rdac scsi_dh_emc scsi_dh_alua
[    7.050947] device-mapper: uevent: version 1.0.3
[    7.053463] CPU: 0 PID: 157 Comm: (journald) Not tainted 4.18.0-rc2-1.gcc9e91e-default #1 openSUSE Tumbleweed (unreleased)
[    7.058451] device-mapper: ioctl: 4.39.0-ioctl (2018-04-03) initialised: dm-devel@redhat.com
[    7.069087] Hardware name: sunxi sunxi/sunxi, BIOS 2018.05-rc2 04/26/2018
[    7.069093] pstate: 40000005 (nZcv daif -PAN -UAO)
[    7.069103] pc : 0xffff0000009f4abb
[    7.069116] lr : seccomp_run_filters+0x4c/0xb0
[    7.069119] sp : ffff000009e13d30
[    7.069121] x29: ffff000009e13d30 x28: ffff800079926240 
[    7.105658] x27: ffff0000089d2000 x26: 0000000000000115 
[    7.105667] x25: 0000000000000125 x24: 0000000000000000 
[    7.116274] x23: 0000000060000000 x22: ffff000009e13de0 
[    7.121582] x21: ffff000009e13d60 x20: 000000007fff0000 
[    7.126889] x19: ffff80007cfa9e00 x18: 0000ffffaf627a70 
[    7.132195] x17: 0000ffffaf5781f0 x16: 0000000000000800 
[    7.137501] x15: 0000000000000000 x14: 0000000000000002 
[    7.142808] x13: 000000000000270f x12: 0000000000000001 
[    7.148114] x11: 0000000000000000 x10: 0000000000000000 
[    7.153421] x9 : 0000ffffaefd4b80 x8 : 0000000000000115 
[    7.158728] x7 : 0000000000000038 x6 : 0000aaab0f2f1000 
[    7.164035] x5 : 00000000132480dd x4 : 0000000000000000 
[    7.169341] x3 : 0000000000000007 x2 : ffff0000009f4abb 
[    7.174647] x1 : ffff000009bcd038 x0 : ffff000009e13d60 
[    7.179957] Process (journald) (pid: 157, stack limit = 0x(____ptrval____))
[    7.186906] Call trace:
[    7.189354]  0xffff0000009f4abb
[    7.192494]  __seccomp_filter+0x50/0x408
[    7.196413]  __secure_computing+0x4c/0xd8
[    7.200422]  syscall_trace_enter+0x12c/0x1a8
[    7.204688]  __sys_trace+0x18/0x48
[    7.208089] Code: 202000d4 202000d4 202000d4 202000d4 (a9bf7bfd) 
[    7.214176] ---[ end trace f509d0bd85782755 ]---
         Starting Create list of required st…ce nodes for the current kernel...
         Starting dracut ask for additional cmdline parameters...
[  OK  ] Started Load Kernel Modules.
[FAILED] Failed to start Journal Service.
See 'systemctl status systemd-journald.service' for details.
[  OK  ] S[    7.270225] Internal error: SP/PC alignment exception: 8a000000 [#2] SMP
tarted Create list of required sta…vice nodes for the current [    7.280349] Modules linked in: sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua
kernel.
[  OK  ] Stopped Journal Service.
         [    7.294222] CPU: 1 PID: 164 Comm: (journald) Tainted: G      D           4.18.0-rc2-1.gcc9e91e-default #1 openSUSE Tumbleweed (unreleased)
Starting Journal Service...
         Starting Create Static Dev[    7.312170] Hardware name: sunxi sunxi/sunxi, BIOS 2018.05-rc2 04/26/2018
ice Nodes in /dev...
         [    7.324489] pstate: 40000005 (nZcv daif -PAN -UAO)
Starting Apply Kernel Variables...
[    7.335096] pc : 0xffff000000a4e9a3
[    7.335116] lr : seccomp_run_filters+0x4c/0xb0
[    7.343028] sp : ffff00000a13bd30
[[    7.346340] x29: ffff00000a13bd30 x28: ffff80007992a040 
[    7.351747] x27: ffff0000089d2000 x26: 0000000000000115 
[    7.351754] x25: 0000000000000125 x24: 0000000000000000 
[    7.362370] x23: 0000000060000000 x22: ffff00000a13bde0 
[    7.367678] x21: ffff00000a13bd60 x20: 000000007fff0000 
[    7.372986] x19: ffff800058c0c100 x18: 0000ffffaf627a70 
[    7.378292] x17: 0000ffffaf5781f0 x16: 0000000000000800 
[    7.383604] x15: 0000000000000000 x14: 0000000000000000 
[    7.383614] x13: 0000002100230015 x12: 0000002200240015 
[    7.394218] x11: 0000001a001c0015 x10: 0000001b001d0015 
[    7.399526] x9 : 0000001c001e0015 x8 : 0000000000000115 
[[    7.404833] x7 : 0000000000000038 x6 : 0000aaab0f2ac3e0 
  OK  ] Started Apply Kernel Variables.
[    7.414725] x5 : 00000000132480dd x4 : 0000000000000000 
[    7.420031] x3 : 0000000000000007 x2 : ffff000000a4e9a3 
[    7.425338] x1 : ffff000009c05038 x0 : ffff00000a13bd60 
[    7.430647] Process (journald) (pid: 164, stack limit = 0x(____ptrval____))
[    7.437596] Call trace:
[    7.440048]  0xffff000000a4e9a3
[    7.440057]  __seccomp_filter+0x50/0x408
[    7.440066]  __secure_computing+0x4c/0xd8
[[    7.451118]  syscall_trace_enter+0x12c/0x1a8
  OK  ] Started dracut ask for additional cmdline parameters.
[    7.461880]  __sys_trace+0x18/0x48
[    7.465282] Code: 202000d4 202000d4 202000d4 202000d4 (a9bf7bfd) 
[    7.471369] ---[ end trace f509d0bd85782756 ]---
[FAILED] Failed to start Journal Service.
See 'systemctl status systemd-journald.service' for details.
[  OK  ] Stopped Journal Service.
         Starting Journal Service...
[    7.586392] Internal error: SP/PC alignment exception: 8a000000 [#3] SMP
...

Choosing the previous 4.17.x kernel boots fine, even with 4.18.rc2 dtb-allwinner package.
Comment 1 Alexander Graf 2018-06-26 11:22:52 UTC
0xffff0000009f4abb is indeed unaligned. This seems to be a BPF issue.
Comment 2 Michal Kubeček 2018-06-26 12:58:32 UTC
Just noticed:

  https://lore.kernel.org/lkml/7a9317b3-b602-1faa-1734-59ea14e301be@iogearbox.net/t/#u

Could it be the same problem?
Comment 3 Michal Kubeček 2018-06-26 13:04:04 UTC
For the record, proposed fix

  9262478220ea  bpf: enforce correct alignment for instructions

is already in mainline but not in v4.18-rc2
Comment 4 Michal Kubeček 2018-06-27 10:33:47 UTC
The 4.18.rc2-3.1.g55e3263 packages in (IBS) Devel:Kernel:master have commit
9262478220ea now. Can you please check if it resolves the issue?
Comment 5 Andreas Färber 2018-06-28 23:44:46 UTC
(In reply to Michal Kubeček from comment #4)
> The 4.18.rc2-3.1.g55e3263 packages in (IBS) Devel:Kernel:master have commit
> 9262478220ea now. Can you please check if it resolves the issue?

Revision 2 this morning didn't, but revision 3.1.g55e3263 does now. Thanks!
Comment 6 Andreas Färber 2018-06-29 01:41:38 UTC
Verified on Pine64, Odroid-C2, HiKey 960 and Raspberry Pi 3 Model B.